﻿

Global $textalignpos

MsgBox (0, "TextAlign Menu", "TextAlign Menu, by Samuel Murray, 2009" & @CRLF  & @CRLF & "Alt+o = open source text" & @CRLF & "Alt+t = open target text" & @CRLF & "Alt+a = align/analyse text" & @CRLF & @CRLF & "Alt+c = save current project" & @CRLF & "Alt+p = open saved project" & @CRLF & "Alt+r = segmentation rules" & @CRLF & @CRLF & "Alt+e = export to TMX" & @CRLF & @CRLF & "Alt+s = split selected segment (see readme.txt)" & @CRLF & "Alt+m = merge selected segments" & @CRLF & "Alt+d = delete selected segment(s)" & @CRLF & "Alt+i = insert empty cell (see readme.txt)" & @CRLF & @CRLF & "Alt+ENTER = clicks OK in some dialogs" & @CRLF & "Alt+Escape = clicks Cancel in some dialogs.", 0)

WinActivate ("TextAlign - ", "")
WinWaitActive ("TextAlign - ", "")
Sleep ("100")

$textalignpos = WinGetPos ("TextAlign")
; $textalignpos[0] = x position 
; $textalignpos[1] = y position 
; $textalignpos[2] = width 
; $textalignpos[3] = height 

HotKeySet("!o", "opensource")
HotKeySet("!t", "opentarget")
HotKeySet("!a", "analyse")
HotKeySet("!e", "exportTMX")
HotKeySet("!p", "openprevious")
HotKeySet("!c", "savecurrent")
HotKeySet("!r", "rules")
HotKeySet("!s", "split")
HotKeySet("!m", "merge")
HotKeySet("!d", "delete")
HotKeySet("!i", "insert") ; Easter Egg
HotKeySet("!{ENTER}", "enterkey")
HotKeySet("!{ESC}", "escapekey")

While 1
    Sleep(100)
WEnd

Func opensource()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
; x = $currentpos[0]
; y = $currentpos[1]
MouseClick ("", $textalignpos[0]+61, $textalignpos[1]+91, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func opentarget()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+208, $textalignpos[1]+91, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func analyse()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+337, $textalignpos[1]+91, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func exportTMX()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+465, $textalignpos[1]+91, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)

#cs
I wanted to show a helpful message, but I can't get the GUI to close
when the user presses Esc or clicks on the "x" or even on "OK"

Opt("GUIOnEventMode", 1) 
$helppic = GUICreate("How to fill in the TMX Export dialog", 800, 300) 
GuiCtrlCreatePic("exportTMX.gif",8,8, 783,233)
$ExitID = GUICtrlCreateButton("OK", 350, 250, 50, 20)
GUISetState(@SW_SHOW, $helppic)
$msg = GUIGetMsg()
While 1
If $msg = $GUI_EVENT_CLOSE Or $msg = $ExitID Then
GUISetState(@SW_HIDE, $helppic)
EndIf
WEnd
#ce

EndIf
EndFunc

Func openprevious()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+568, $textalignpos[1]+91, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func savecurrent()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+649, $textalignpos[1]+91, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func rules()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+746, $textalignpos[1]+91, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func split()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+129, $textalignpos[1]+145, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
ElseIf WinActive ("Инструмент резки предложения", "") Then
$currentpos = MouseGetPos ()
ControlClick ("Инструмент резки предложения", "", "[CLASS:WindowsForms10.BUTTON.app.0.33c0d9d; INSTANCE:3]")
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func merge()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+45, $textalignpos[1]+145, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func delete()
If WinActive ("TextAlign - ", "") Then
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+217, $textalignpos[1]+145, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
EndIf
EndFunc

Func insert()
If WinActive ("TextAlign - ", "") Then
ClipPut ("")
Sleep ("100")
Send ("^c")
$currentpos = MouseGetPos ()
MouseClick ("", $textalignpos[0]+129, $textalignpos[1]+145, 1, 0)
MouseMove ($currentpos[0], $currentpos[1], 0)
WinWaitActive ("Инструмент резки предложения", "")
ControlSend ("Инструмент резки предложения", "", "[CLASS:WindowsForms10.EDIT.app.0.33c0d9d; INSTANCE:2]", "^v")
ControlSend ("Инструмент резки предложения", "", "[CLASS:WindowsForms10.EDIT.app.0.33c0d9d; INSTANCE:1]", ".")
EndIf
EndFunc

Func enterkey()
If WinActive ("Инструмент резки предложения", "") Then
ControlClick ("Инструмент резки предложения", "", "[CLASS:WindowsForms10.BUTTON.app.0.33c0d9d; INSTANCE:2]")
; Else
; Send ("{ENTER}")
EndIf
EndFunc

Func escapekey()
If WinActive ("Инструмент резки предложения", "") Then
ControlClick ("Инструмент резки предложения", "", "[CLASS:WindowsForms10.BUTTON.app.0.33c0d9d; INSTANCE:1]")
ElseIf WinActive ("Экспорт в текстовый файл", "") Then
ControlClick ("Экспорт в текстовый файл", "", "[CLASS:WindowsForms10.BUTTON.app.0.33c0d9d; INSTANCE:4]")
; Else
; Send ("{ESC}")
EndIf
EndFunc

